import { BacktraceCoreClient } from '@backtrace/sdk-core';
import { BacktraceConfiguration, BacktraceSetupConfiguration } from './BacktraceConfiguration';
import { BacktraceClientBuilder } from './builder/BacktraceClientBuilder';
import { BacktraceNodeClientSetup } from './builder/BacktraceClientSetup';
import { NodeFileSystem } from './storage/interfaces/NodeFileSystem';
export declare class BacktraceClient extends BacktraceCoreClient<BacktraceConfiguration> {
    private _listeners;
    protected get nodeFileSystem(): NodeFileSystem | undefined;
    constructor(clientSetup: BacktraceNodeClientSetup);
    initialize(): void;
    static builder(options: BacktraceSetupConfiguration): BacktraceClientBuilder;
    /**
     * Initializes the client. If the client already exists, the available instance
     * will be returned and all other options will be ignored.
     * @param options client configuration
     * @param build builder
     * @returns backtrace client
     */
    static initialize(options: BacktraceSetupConfiguration, build?: (builder: BacktraceClientBuilder) => void): BacktraceClient;
    /**
     * Returns created BacktraceClient instance if the instance exists.
     * Otherwise undefined.
     */
    static get instance(): BacktraceClient | undefined;
    /**
     * Disposes the client and all client callbacks
     */
    dispose(): void;
    private captureUnhandledErrors;
    private captureNodeCrashes;
    private loadNodeCrashes;
}
