"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BacktraceCoreClientBuilder = void 0;
class BacktraceCoreClientBuilder {
    constructor(clientSetup) {
        this.clientSetup = clientSetup;
    }
    addAttributeProvider(provider) {
        if (!this.clientSetup.attributeProviders) {
            this.clientSetup.attributeProviders = [provider];
        }
        else {
            this.clientSetup.attributeProviders.push(provider);
        }
        return this;
    }
    useBreadcrumbSubscriber(breadcrumbSubscriber) {
        if (!this.clientSetup.breadcrumbsSetup) {
            this.clientSetup.breadcrumbsSetup = {};
        }
        if (!this.clientSetup.breadcrumbsSetup.subscribers) {
            this.clientSetup.breadcrumbsSetup.subscribers = [breadcrumbSubscriber];
        }
        else {
            this.clientSetup.breadcrumbsSetup.subscribers.push(breadcrumbSubscriber);
        }
        return this;
    }
    useBreadcrumbsStorage(storage) {
        if (!this.clientSetup.breadcrumbsSetup) {
            this.clientSetup.breadcrumbsSetup = {};
        }
        this.clientSetup.breadcrumbsSetup.storage = storage;
        return this;
    }
    useSessionProvider(sessionProvider) {
        this.clientSetup.sessionProvider = sessionProvider;
        return this;
    }
    useRequestHandler(handler) {
        this.clientSetup.requestHandler = handler;
        return this;
    }
    useStackTraceConverter(stackTraceConverter) {
        this.clientSetup.stackTraceConverter = stackTraceConverter;
        return this;
    }
    useFileSystem(fileSystem) {
        this.clientSetup.fileSystem = fileSystem;
        return this;
    }
    useReportSubmission(reportSubmission) {
        this.clientSetup.reportSubmission = reportSubmission;
        return this;
    }
    useSummedMetricsQueue(queue) {
        this.clientSetup.summedMetricsQueue = queue;
        return this;
    }
    useUniqueMetricsQueue(queue) {
        this.clientSetup.uniqueMetricsQueue = queue;
        return this;
    }
}
exports.BacktraceCoreClientBuilder = BacktraceCoreClientBuilder;
//# sourceMappingURL=BacktraceCoreClientBuilder.js.map