"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OverwritingArrayIterator = void 0;
class OverwritingArrayIterator {
    constructor(_source, _offset, _size) {
        this._source = _source;
        this._offset = _offset;
        this._size = _size;
    }
    [Symbol.iterator]() {
        return new OverwritingArrayIterator(this._source, this._offset, this._size);
    }
    next() {
        if (this._size === 0) {
            return {
                done: true,
                value: undefined,
            };
        }
        if (this._index === undefined) {
            this._index = 0;
        }
        else if (this._index === this._size - 1) {
            return {
                done: true,
                value: undefined,
            };
        }
        else {
            this._index++;
        }
        return {
            done: false,
            value: this._source[(this._index + this._offset) % this._size],
        };
    }
}
exports.OverwritingArrayIterator = OverwritingArrayIterator;
//# sourceMappingURL=OverwritingArrayIterator.js.map