"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConnectionError = void 0;
class ConnectionError {
    /**
     * Verifies if an Error is a connection error
     * @param err error
     * @returns true if the error was caused by ETIMEDOUT or ECONNRESET or ECONNABORTED
     */
    static isConnectionError(err) {
        const error = err;
        return error.code === 'ETIMEDOUT' || error.code === 'ECONNRESET' || error.code === 'ECONNABORTED';
    }
}
exports.ConnectionError = ConnectionError;
//# sourceMappingURL=ConnectionError.js.map