"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MetricsEvent = void 0;
const IdGenerator_1 = require("../../../common/IdGenerator");
const TimeHelper_1 = require("../../../common/TimeHelper");
class MetricsEvent {
    constructor(metricGroupName, metricGroupValue, attributes = {}) {
        this.metricGroupName = metricGroupName;
        this.metricGroupValue = metricGroupValue;
        this.attributes = attributes;
        this.id = IdGenerator_1.IdGenerator.uuid();
    }
    toJSON() {
        return {
            timestamp: TimeHelper_1.TimeHelper.toTimestampInSec(TimeHelper_1.TimeHelper.now()),
            attributes: this.attributes,
            [this.metricGroupName]: this.metricGroupValue,
        };
    }
}
exports.MetricsEvent = MetricsEvent;
//# sourceMappingURL=MetricsEvent.js.map