"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseWithOptions = exports.parse = void 0;
const xml2js_1 = __importDefault(require("xml2js"));
exports.parse = async (xmlString) => {
    const result = await xml2js_1.default.parseStringPromise(xmlString, {
        attrValueProcessors: [xml2js_1.default.processors.parseNumbers]
    });
    return _parse(result['testsuites']);
};
exports.parseWithOptions = async (xmlString, options) => {
    const result = await xml2js_1.default.parseStringPromise(xmlString, options);
    return _parse(result['testsuites']);
};
const _parse = (objOrArray) => {
    if (Array.isArray(objOrArray)) {
        return objOrArray.map((_obj) => {
            // 中身がさらにネストされた配列 or $キーのobjectなら再起
            if (Array.isArray(_obj) || typeof (_obj) === 'object') {
                return _parse(_obj);
            }
            // 配列の中身が単なる文字列ならinnerキーを自分で付けてobjectで返す
            return { inner: _obj };
        });
    }
    let output = {};
    Object.keys(objOrArray).forEach((key) => {
        const nested = objOrArray[key];
        if (key === '$') {
            output = { ...output, ..._parse(nested) };
        }
        else if (key === 'system-out' || key === 'system-err') {
            output[key] = nested.map((inner) => inner);
        }
        else if (typeof (nested) === 'object') {
            output[key] = _parse(nested);
        }
        else if (key === '_') {
            output['inner'] = nested;
        }
        else {
            output[key] = nested;
        }
    });
    return output;
};
//# sourceMappingURL=index.js.map